
local lg = love.graphics
local swidth, sheight = lg.getWidth, lg.getHeight

function love.load()
   lg.setBackgroundColor(35, 30, 65)
   time = 0
   lg.setDefaultImageFilter("nearest", "nearest")
   
   effect = lg.newPixelEffect "feu.glsl"
   effect:send("resolution", {1, 1})
   effect:send("time", time)
end

function love.update (dt)
   time = time + dt
   effect:send("time", time)
end

function love.draw ()
   lg.clear()
   lg.setPixelEffect(effect)
   lg.setColor(0, 0, 0, 0)
   lg.rectangle('fill', 0, 0, swidth(), sheight())
   lg.setPixelEffect()
end
